import EntityInfoTemplate from 'model/EntityInfoTemplate';

// Template for displaying detailed information about entities in OpenStack.
const OPENSTACK_SUBNET_TEMPLATE: EntityInfoTemplate = {
  cloudServiceProvider: 'openstack',
  entityName: 'subnet',
  entityRecords: [
    {
      panelName: 'Subnet',
      tableRecordList: [],
      keyValueRecords: [
        { labelName: 'Name', name: 'name', type: 'default' },
        { labelName: 'Subnet ID', name: 'subnet_id', type: 'default' },
        { labelName: 'Project ID', name: 'project_id', type: 'default' },
        { labelName: 'Network', name: 'network_id', type: 'join', info: {
          entityTypeId: 'openstack_network', keyColumn: 'network_id', valueColumn: 'name' } },
        { labelName: 'IP version', name: 'ip_version', type: 'default' },
        { labelName: 'CIDR', name: 'cidr', type: 'default' },
        { labelName: 'Allocation pools', name: 'allocation_pools', type: 'default' },
        { labelName: 'Gateway IP', name: 'gateway_ip', type: 'default' },
        { labelName: 'Enable DHCP', name: 'enable_dhcp', type: 'boolean', value: ['yes', 'no'] },
        { labelName: 'Created', name: 'created', type: 'datetime' },
      ]
    },
    {
      panelName: 'Others',
      tableRecordList: [],
      keyValueRecords: [
        { labelName: 'Cloud service provider ID', name: 'cloud_context', type: 'default' },
      ]
    },
  ]
};

export default OPENSTACK_SUBNET_TEMPLATE;
