import EntityFormTemplate from 'model/EntityFormTemplate';

const OPENSTACK_USER_TEMPLATE: EntityFormTemplate[] = [
  {
    cloudServiceProvider: 'openstack',
    entityName: 'user',
    actionType: 'create',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'User',
        keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '', required: true },
          { type: 'textarea', labelName: 'Description', name: 'description', defaultValue: '' },
          { type: 'default', labelName: 'Email', name: 'email', defaultValue: '' },          
          { type: 'password', labelName: 'Password', name: 'password', confirmLabelName: 'Confirm password', defaultValue: '', required: true },
          { type: 'select', labelName: 'Primary Project', name: 'default_project_id',
            url: '/cloud_dashboard/openstack/{cloud_context}/projects',
            defaultValue: ''
          },
          { type: 'select', labelName: 'Role', name: 'role',
            url: '/cloud_dashboard/openstack/{cloud_context}/roles',
            defaultValue: ''
          },
          { type: 'boolean', labelName: 'Enabled', name: 'enabled', defaultValue: true },
        ]
      }
    ]
  },
  {
    cloudServiceProvider: 'openstack',
    entityName: 'user',
    actionType: 'edit',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'User',
        keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '', required: true },
          { type: 'textarea', labelName: 'Description', name: 'description', defaultValue: '' }, 
          { type: 'default', labelName: 'Email', name: 'email', defaultValue: '' },          
          { type: 'select', labelName: 'Primary Project', name: 'default_project_id',
            url: '/cloud_dashboard/openstack/{cloud_context}/projects',
            defaultValue: ''
          },
          { type: 'boolean', labelName: 'Enabled', name: 'enabled', defaultValue: true },
        ]
      }
    ]
  },
  {
    cloudServiceProvider: 'openstack',
    entityName: 'user',
    actionType: 'change_password',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'User',
        keyValueRecords: [
          { type: 'password', labelName: 'Password', name: 'password', confirmLabelName: 'Confirm password', defaultValue: '', required: true },
        ]
      }
    ]
  },
  {
    cloudServiceProvider: 'openstack',
    entityName: 'user',
    actionType: 'delete',
    entityRecords: [
      {
        type: 'label',
        text: 'Are you sure you want to delete the {{entityName}} {{name}}?'
      },
    ],
    submitButtonLabel: 'Delete'
  }
]

export default OPENSTACK_USER_TEMPLATE;
