@ci_job
Feature: Confirm no AWS resources are created under the created cloud service
  provider

  @api
  Scenario: No link to the instance
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/instance"
    And I should see the heading "AWS Cloud instances"
    And I click "Refresh"
    Then I should not see "pending"
    And I should see neither error nor warning messages

  @api
  Scenario: No link to the instance name on the template list
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/design/server_template/{{ cloud_context }}"
    And I should see the heading "Launch template list"
    And I click "Refresh"
    Then I should not see the link "{{ instance_name }}"
    And I should see neither error nor warning messages

  @api
  Scenario: No link to the security group
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/security_group"
    And I should see the heading "AWS Cloud security groups"
    And I click "Refresh"
    Then I should not see the link "{{ security_group_name }}"
    And I should see neither error nor warning messages

  @api
  Scenario: No link to the subnet
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/subnet"
    And I should see the heading "AWS Cloud subnets"
    And I click "Refresh"
    Then I should not see the link "{{ subnet_name }}"
    And I should see neither error nor warning messages

  @api
  Scenario: No link to the VPC, but default exists
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/vpc"
    And I should see the heading "AWS Cloud VPCs"
    And I click "Refresh"
    Then I should not see the link "{{ vpc_name }}"
    And I should see the link "default" in the table
    And I should see neither error nor warning messages

  @api
  Scenario: No link to the AMI image
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/image"
    And I should see the heading "AWS Cloud images"
    And I click "Refresh"
    Then I should not see the link "{{ image_name }}"
    And I should see neither error nor warning messages

  @api
  Scenario: No link to the SSH key pair
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/key_pair"
    And I should see the heading "AWS Cloud key pairs"
    And I click "Refresh"
    Then I should not see the link "{{ ssh_key_name }}"
    And I should see neither error nor warning messages
