@ci_job
Feature: Confirm no K8s resources created by user as "Administrator"
  In order to be able to replicate BDD tests
  As an administrator
  I need to confirm no resources

  @api
  Scenario: No CronJobs are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/cron_job"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @api
  Scenario: No jobs are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/job"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @api
  Scenario: No network policies are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/network_policy"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @api
  Scenario: No resource quotas are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/resource_quota"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @api
  Scenario: No LimitRanges are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/limit_range"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @api
  Scenario: No persistent volumes are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/persistent_volume"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @api
  Scenario: No persistent volume claims are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/persistent_volume_claim"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @api
  Scenario: No StatefulSets are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/stateful_set"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @api
  Scenario: No ingresses are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/ingress"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @wip
  @api
  Scenario: No horizontal pod autoscalers are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/horizontal_pod_autoscaler"
    And I click "Refresh"
    Then I should not see a "table" element
    And I should see neither error nor warning messages

  @api
  Scenario: No schedules are listed
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/k8s/{{ cloud_context }}/schedule"
    Then I should not see a "table" element
    And I should see neither error nor warning messages
