@minimal @ci_job
Feature: Confirm default K8s resources
  In order to be able to replicate BDD tests
  I need to confirm default resources

  @api
  Scenario Outline: Default nodes are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/node"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default namespaces are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/namespace"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default deployments are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/deployment"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default pods are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/pod"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default ReplicaSets are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/replica_set"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default services are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/service"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default priority classes are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/priority_class"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default ConfigMaps are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/config_map"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default secrets are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/secret"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default roles are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/role"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default role bindings are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/role_binding"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default cluster roles are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/cluster_role"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default cluster role bindings are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/cluster_role_binding"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default storage classes are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/storage_class"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default DemonSets are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/daemon_set"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default endpoints are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/endpoint"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default API services are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/api_service"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |

  @api
  Scenario Outline: Default service accounts are listed
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/service_account"
    Then I should <status> a "table" element
    And I should see neither error nor warning messages

    Examples:
      |  role                 | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |
      | "Administrator"       | see     |
