@minimal @ci_job
Feature: Create, read, and delete a key pair for OpenStack as an "authenticated user"

  @api
  Scenario: Create a key pair
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/key_pair/add"
    And I should see the heading "Add OpenStack key pair"
    And I enter "{{ key_pair_name_operate }}" for "Key pair name"
    And I press "Save"
    # The page transitions to the detailed view
    Then the url should match "/clouds/openstack/{{ cloud_context }}/key_pair/"
    And I should see the success message "has been created"
    And I should see the warning message "Download private key. Once downloaded, the key will be deleted from the server."
    And I should see no error message
    And I should see the link "{{ key_pair_name_operate }}" in the success_message
    And I click "Download private key" in the warning_message

  @api
  Scenario: View the key pair
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/key_pair"
    And I click "Refresh"
    And I should see the heading "OpenStack key pairs"
    And I should see "{{ key_pair_name_operate }}" in the table
    And I wait {{ wait }} milliseconds
    And I click "{{ key_pair_name_operate }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/key_pair/"
    And I should see "{{ key_pair_name_operate }}" in the "page_header"
    And I should see "{{ key_pair_name_operate }}" in the "Key pair name"
    And I should see "{{ drupal_user_name }}" in the "Authored by"
    And I should see neither error nor warning messages

  @api
  Scenario: Delete a key pair
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/key_pair"
    And I click "Refresh"
    And I should see the link "{{ key_pair_name_operate }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ key_pair_name_operate }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/key_pair/"
    And I click "Delete" in the actions
    Then the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/openstack/{{ cloud_context }}/key_pair"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    And I should not see the link "{{ key_pair_name_operate }}"
