@minimal @ci_job @launch_instance
Feature: Delete the created resources for OpenStack as an "authenticated user"

  @api
  Scenario: Delete the key pair
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/key_pair"
    And I click "Refresh"
    And I should see the link "{{ key_pair_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ key_pair_name }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/key_pair/"
    And I click "Delete"
    Then the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/openstack/{{ cloud_context }}/key_pair"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    And I should not see the link "{{ key_pair_name }}"

  @api
  Scenario: Delete the security group
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/security_group"
    And I click "Refresh"
    And I should see the link "{{ security_group_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ security_group_name }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/security_group/"
    And I click "Delete"
    Then the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/openstack/{{ cloud_context }}/security_group"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    And I should not see the link "{{ security_group_name }}"

  @api
  Scenario: Delete the subnet
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/subnet"
    And I click "Refresh"
    And I should see the link "{{ subnet_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ subnet_name }}"
    And the url should match "/clouds/openstack/{{ cloud_context }}/subnet/"
    And I click "Delete"
    Then the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/openstack/{{ cloud_context }}/subnet"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    And I should not see the link "{{ subnet_name}}"

  @api
  Scenario: Delete the network
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/network"
    And I click "Refresh"
    And I should see the link "{{ network_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ network_name }}"
    And the url should match "/clouds/openstack/{{ cloud_context }}/network/"
    And I click "Delete"
    Then the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/openstack/{{ cloud_context }}/network"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    And I should not see the link "{{ network_name }}"

  @api
  Scenario: Delete the server group
    Given I am logged in as a user with the "Cloud administrator" role
    When I visit "/clouds/openstack/{{ cloud_context }}/server_group"
    And I click "Refresh"
    And I should see the link "{{ server_group_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ server_group_name }}"
    And the url should match "/clouds/openstack/{{ cloud_context }}/server_group/"
    And I click "Delete"
    Then the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/openstack/{{ cloud_context }}/server_group"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    And I should not see the link "{{ server_group_name }}"
